# PosxmlParser

Funky Library responsible to parse and execute posxml applications.

## Installation

Add this line to your application's Gemfile:

    gem 'posxml_parser'

And then execute:

    $ bundle install

## MRuby dependencies

	mruby-mtest (https://github.com/iij/mruby-mtest)
	mruby-io (https://github.com/iij/mruby-io)
	mruby-socket (https://github.com/iij/mruby-socket)
	mruby-pack (https://github.com/iij/mruby-pack)
	mruby-require (https://github.com/iij/mruby-require)

## Usage

### Defauly interpreter

    PosxmlInterpreter.new.start
    
### Custom interpreter

Configure, customize and run 

    class MyClass
      include PosxmlParser # Include PosxmlParser in your custom class

      def start
        posxml_configure("/sdcard", "main.posxml") # define working directory and main file
        posxml_loop # start loop execution
      end
      
      util_exit do
        # Custom behaviour
      end
      
      interface_display(column, line, text) do
        # Custom behaviour
      end
    end
    
    MyClass.new.start
    
More details in [posxml_interpreter](lib/posxml_interpreter.rb).

## Tests


    $ rake test:unit # execute unit tests

    $ rake test:integration # execute integration tests

	$ rake test # execute all tests


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Added some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
